# Uses of Class
org.apache.sling.api.resource.type.ResourceType

Packages that use ResourceType
Package
Description
org.apache.sling.api.resource.type
org.apache.sling.scripting.spi.bundle

## Uses of ResourceType in org.apache.sling.api.resource.type

Methods in org.apache.sling.api.resource.type that return ResourceType
Modifier and Type
Method
Description
`static @NotNull ResourceType`
ResourceType.`parseResourceType(@NotNull String resourceTypeString)`
Given a `resourceTypeString`, this method will extract a `ResourceType` object.

## Uses of ResourceType in org.apache.sling.scripting.spi.bundle

Methods in org.apache.sling.scripting.spi.bundle that return types with arguments of type ResourceType
Modifier and Type
Method
Description
`@NotNull Set<ResourceType>`
BundledRenderUnitCapability.`getResourceTypes()`
Returns the resource types to which a `BundledRenderUnit` described by this capability will be bound to.